Loading...
Searching...
No Matches
itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder > Class Template Reference

`#include <itkRecursiveBSplineTransform.h>`

## Detailed Description

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>
class itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >

A recursive implementation of the B-spline transform.

The class is templated coordinate representation type (float or double), the space dimension and the spline order.

Definition at line 39 of file itkRecursiveBSplineTransform.h.

Inheritance diagram for itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
typedef typename ImageType::DirectionType | DirectionType
typedef IndexType | GridOffsetType
typedef typename ImageType::Pointer | ImagePointer
typedef Image< PixelType, Self::SpaceDimension > | ImageType
typedef typename RegionType::IndexType | IndexType
using | OffsetValueType = typename GridOffsetType::OffsetValueType
typedef typename ImageType::PointType | OriginType
typedef Array< unsigned long > | ParameterIndexArrayType
using | Pointer = SmartPointer<Self>
typedef ImageRegion< Self::SpaceDimension > | RegionType
using | Self = RecursiveBSplineTransform
typedef typename RegionType::SizeType | SizeType
typedef typename ImageType::SpacingType | SpacingType
using | Superclass = AdvancedBSplineDeformableTransform<TScalarType, NDimensions, VSplineOrder>
Public Types inherited from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >
using | ConstPointer
using | ContinuousIndexType
using | DerivativeWeightsFunctionPointer
using | DerivativeWeightsFunctionType
typedef typename ImageType::DirectionType | DirectionType
typedef IndexType | GridOffsetType
typedef typename ImageType::Pointer | ImagePointer
typedef Image< PixelType, Self::SpaceDimension > | ImageType
typedef typename RegionType::IndexType | IndexType
typedef typename ImageType::PointType | OriginType
typedef Array< unsigned long > | ParameterIndexArrayType
using | Pointer
typedef ImageRegion< Self::SpaceDimension > | RegionType
using | Self
typedef typename RegionType::SizeType | SizeType
using | SODerivativeWeightsFunctionPointer
using | SODerivativeWeightsFunctionType
typedef typename ImageType::SpacingType | SpacingType
using | Superclass
using | WeightsFunctionPointer
using | WeightsFunctionType
using | WeightsType
Public Types inherited from itk::AdvancedBSplineDeformableTransformBase< double, NDimensions >
using | ConstPointer
using | ContinuousIndexType
using | DirectionType
using | GridOffsetType
using | ImagePointer
using | ImageType
using | IndexType
typedef typename SpatialJacobianType::InternalMatrixType | InternalMatrixType
typedef std::vector< SpatialHessianType > | JacobianOfSpatialHessianType
typedef std::vector< SpatialJacobianType > | JacobianOfSpatialJacobianType
typedef OutputCovariantVectorType | MovingImageGradientType
typedef typename MovingImageGradientType::ValueType | MovingImageGradientValueType
typedef std::vector< unsigned long > | NonZeroJacobianIndicesType
using | OriginType
using | ParameterIndexArrayType
using | Pointer
using | RegionType
using | Self
using | SizeType
using | SpacingType
typedef FixedArray< Matrix< ScalarType, InputSpaceDimension, InputSpaceDimension >, OutputSpaceDimension > | SpatialHessianType
typedef Matrix< ScalarType, OutputSpaceDimension, InputSpaceDimension > | SpatialJacobianType
using | Superclass
Public Types inherited from itk::AdvancedTransform< double, NDimensions, NDimensions >
using | ConstPointer
using | InternalMatrixType
using | InverseTransformBaseType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | MovingImageGradientType
using | MovingImageGradientValueType
using | NonZeroJacobianIndicesType
using | Pointer
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer

## Public Member Functions

void | EvaluateJacobianWithImageGradientProduct (const InputPointType &inputPoint, const MovingImageGradientType &movingImageGradient, DerivativeType &imageJacobian, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const override
virtual const char * | GetClassName () const
void | GetJacobian (const InputPointType &inputPoint, JacobianType &j, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const override
void | GetJacobianOfSpatialHessian (const InputPointType &inputPoint, JacobianOfSpatialHessianType &jsh, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const override
void | GetJacobianOfSpatialHessian (const InputPointType &inputPoint, SpatialHessianType &sh, JacobianOfSpatialHessianType &jsh, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &inputPoint, JacobianOfSpatialJacobianType &jsj, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &inputPoint, SpatialJacobianType &sj, JacobianOfSpatialJacobianType &jsj, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const override
void | GetSpatialHessian (const InputPointType &inputPoint, SpatialHessianType &sh) const override
void | GetSpatialJacobian (const InputPointType &inputPoint, SpatialJacobianType &sj) const override
| ITK_DISALLOW_COPY_AND_MOVE (RecursiveBSplineTransform)
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
| itkStaticConstMacro (SplineOrder, unsigned int, VSplineOrder)
OutputPointType | TransformPoint (const InputPointType &point) const override
Public Member Functions inherited from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >
unsigned int | GetNumberOfAffectedWeights () const override
NumberOfParametersType | GetNumberOfNonZeroJacobianIndices () const override
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedBSplineDeformableTransform)
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
void | SetGridRegion (const RegionType &region) override
OutputPointType | TransformPoint (const InputPointType &point) const override
Public Member Functions inherited from itk::AdvancedBSplineDeformableTransformBase< double, NDimensions >
virtual const ImagePointer * | GetCoefficientImages () const
const FixedParametersType & | GetFixedParameters () const override
virtual DirectionType | GetGridDirection () const
virtual OriginType | GetGridOrigin () const
virtual RegionType | GetGridRegion () const
virtual SpacingType | GetGridSpacing () const
NumberOfParametersType | GetNumberOfParameters () const override
virtual NumberOfParametersType | GetNumberOfParametersPerDimension () const
const ParametersType & | GetParameters () const override
unsigned | GetSplineOrder () const
TransformCategoryEnum | GetTransformCategory () const override
virtual const RegionType & | GetValidRegion ()
bool | IsLinear () const override
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedBSplineDeformableTransformBase)
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
virtual void | SetCoefficientImages (ImagePointer images[])
void | SetFixedParameters (const FixedParametersType &parameters) override
virtual void | SetGridDirection (const DirectionType &direction)
virtual void | SetGridOrigin (const OriginType &origin)
virtual void | SetGridSpacing (const SpacingType &spacing)
void | SetIdentity ()
void | SetParameters (const ParametersType &parameters) override
void | SetParametersByValue (const ParametersType &parameters) override
OutputCovariantVectorType | TransformCovariantVector (const InputCovariantVectorType &) const override
OutputVectorType | TransformVector (const InputVectorType &) const override
Public Member Functions inherited from itk::AdvancedTransform< double, NDimensions, NDimensions >
void | ComputeJacobianWithRespectToParameters (const InputPointType &, JacobianType &) const override
virtual bool | GetHasNonZeroJacobianOfSpatialHessian () const
virtual bool | GetHasNonZeroSpatialHessian () const
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >
static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedBSplineDeformableTransformBase< double, NDimensions >
static Pointer | Create (const unsigned splineOrder)

## Protected Types

typedef Image< JacobianPixelType, Self::SpaceDimension > | JacobianImageType
typedef typename JacobianType::ValueType | JacobianPixelType
Protected Types inherited from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >
typedef Image< JacobianPixelType, Self::SpaceDimension > | JacobianImageType
typedef typename JacobianType::ValueType | JacobianPixelType
Protected Types inherited from itk::AdvancedBSplineDeformableTransformBase< double, NDimensions >
using | JacobianImageType
using | JacobianPixelType

## Protected Member Functions

void | ComputeNonZeroJacobianIndices (NonZeroJacobianIndicesType &nonZeroJacobianIndices, const RegionType &supportRegion) const override
| RecursiveBSplineTransform ()=default
| ~RecursiveBSplineTransform () override=default
Protected Member Functions inherited from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >
| AdvancedBSplineDeformableTransform ()
| itkGetModifiableObjectMacro (WeightsFunction, WeightsFunctionType)
void | PrintSelf (std::ostream &os, Indent indent) const override
virtual void | SetWeightsFunction (WeightsFunctionType *_arg)
void | WrapAsImages ()
| ~AdvancedBSplineDeformableTransform () override=default
Protected Member Functions inherited from itk::AdvancedBSplineDeformableTransformBase< double, NDimensions >
| AdvancedBSplineDeformableTransformBase ()=delete
virtual bool | InsideValidRegion (const ContinuousIndexType &index) const
void | PrintSelf (std::ostream &os, Indent indent) const override
ContinuousIndexType | TransformPointToContinuousGridIndex (const InputPointType &point) const
void | UpdateGridOffsetTable ()
void | UpdatePointIndexConversions ()
void | WrapAsImages ()
| ~AdvancedBSplineDeformableTransformBase () override=default
Protected Member Functions inherited from itk::AdvancedTransform< double, NDimensions, NDimensions >
| AdvancedTransform ()=default
| ~AdvancedTransform () override=default

## Private Types

using | ImplementationType
using | RecursiveBSplineWeightFunctionType

## Private Attributes

elastix::DefaultConstruct< RecursiveBSplineWeightFunctionType > | m_RecursiveBSplineWeightFunction {}

## Additional Inherited Members

Static Public Attributes inherited from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >
static constexpr unsigned | NumberOfWeights
Static Public Attributes inherited from itk::AdvancedBSplineDeformableTransformBase< double, NDimensions >
static constexpr unsigned int | NumberOfFixedParameters
Protected Attributes inherited from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >
std::vector< DerivativeWeightsFunctionPointer > | m_DerivativeWeightsFunctions
std::vector< std::vector< SODerivativeWeightsFunctionPointer > > | m_SODerivativeWeightsFunctions
WeightsFunctionPointer | m_WeightsFunction
Protected Attributes inherited from itk::AdvancedBSplineDeformableTransformBase< double, NDimensions >
ImagePointer | m_CoefficientImages [NDimensions]
DirectionType | m_GridDirection
GridOffsetType | m_GridOffsetTable
OriginType | m_GridOrigin
RegionType | m_GridRegion
SpacingType | m_GridSpacing
DirectionType | m_IndexToPoint
const ParametersType * | m_InputParametersPointer
ParametersType | m_InternalParametersBuffer
JacobianImageType::Pointer | m_JacobianImage [NDimensions]
IndexType | m_LastJacobianIndex
unsigned long | m_Offset
DirectionType | m_PointToIndexMatrix
SpatialJacobianType | m_PointToIndexMatrix2
FixedArray< ScalarType, NDimensions > | m_PointToIndexMatrixDiagonal
FixedArray< ScalarType, NDimensions *NDimensions > | m_PointToIndexMatrixDiagonalProducts
bool | m_PointToIndexMatrixIsDiagonal
DirectionType | m_PointToIndexMatrixTransposed
SpatialJacobianType | m_PointToIndexMatrixTransposed2
RegionType | m_ValidRegion
ContinuousIndexType | m_ValidRegionBegin
ContinuousIndexType | m_ValidRegionEnd
ImagePointer | m_WrappedImage [NDimensions]
Protected Attributes inherited from itk::AdvancedTransform< double, NDimensions, NDimensions >
bool | m_HasNonZeroJacobianOfSpatialHessian
bool | m_HasNonZeroSpatialHessian

## Member Typedef Documentation

## ConstPointer

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

using itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::ConstPointer = SmartPointer<const Self>

Definition at line 49 of file itkRecursiveBSplineTransform.h.

## DirectionType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

## GridOffsetType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

## ImagePointer

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

## ImageType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

## ImplementationType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

using itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::ImplementationType

private

Initial value:
RecursiveBSplineTransformImplementation<NDimensions, NDimensions, VSplineOrder, TScalarType>
itk::RecursiveBSplineTransformImplementation
This helper class contains the actual implementation of the recursive B-spline transform.
Definition itkRecursiveBSplineTransformImplementation.h:47

Definition at line 190 of file itkRecursiveBSplineTransform.h.

## IndexType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

## JacobianImageType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

protected

## JacobianPixelType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

protected

Jacobian as SpaceDimension number of images.

## OffsetValueType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

using itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::OffsetValueType = typename GridOffsetType::OffsetValueType

Definition at line 93 of file itkRecursiveBSplineTransform.h.

## OriginType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

## ParameterIndexArrayType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

Parameter index array type.

## Pointer

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

using itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::Pointer = SmartPointer<Self>

Definition at line 48 of file itkRecursiveBSplineTransform.h.

## RecursiveBSplineWeightFunctionType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

using itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::RecursiveBSplineWeightFunctionType

private

Initial value:
itk::RecursiveBSplineInterpolationWeightFunction<TScalarType, NDimensions, VSplineOrder>
itk::RecursiveBSplineInterpolationWeightFunction
Returns the weights over the support region used for B-spline interpolation/reconstruction.
Definition itkRecursiveBSplineInterpolationWeightFunction.h:50

Definition at line 193 of file itkRecursiveBSplineTransform.h.

## RegionType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

Typedefs for specifying the extend to the grid.

## Self

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

using itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::Self = RecursiveBSplineTransform

Standard class typedefs.

Definition at line 46 of file itkRecursiveBSplineTransform.h.

## SizeType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

## SpacingType

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

## Superclass

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

using itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::Superclass = AdvancedBSplineDeformableTransform<TScalarType, NDimensions, VSplineOrder>

Definition at line 47 of file itkRecursiveBSplineTransform.h.

## Constructor & Destructor Documentation

## RecursiveBSplineTransform()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::RecursiveBSplineTransform | ( |  | ) |

protected default

## ~RecursiveBSplineTransform()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::~RecursiveBSplineTransform | ( |  | ) |

override protected default

## Member Function Documentation

## ComputeNonZeroJacobianIndices()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::ComputeNonZeroJacobianIndices | ( | NonZeroJacobianIndicesType & | nonZeroJacobianIndices,
|  | const RegionType & | supportRegion ) const

override protected virtual

Compute the nonzero Jacobian indices.

Reimplemented from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >.

## EvaluateJacobianWithImageGradientProduct()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::EvaluateJacobianWithImageGradientProduct | ( | const InputPointType & | inputPoint,
|  | const MovingImageGradientType & | movingImageGradient,
|  | DerivativeType & | imageJacobian,
|  | NonZeroJacobianIndicesType & | nonZeroJacobianIndices ) const

override virtual

Compute the inner product of the Jacobian with the moving image gradient. The Jacobian is (partially) constructed inside this function, but not returned.

Reimplemented from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >.

## GetClassName()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

virtual const char * itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >.

## GetJacobian()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::GetJacobian | ( | const InputPointType & | inputPoint,
|  | JacobianType & | j,
|  | NonZeroJacobianIndicesType & | nonZeroJacobianIndices ) const

override virtual

Compute the Jacobian of the transformation.

Reimplemented from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >.

## GetJacobianOfSpatialHessian() [1/2]

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::GetJacobianOfSpatialHessian | ( | const InputPointType & | inputPoint,
|  | JacobianOfSpatialHessianType & | jsh,
|  | NonZeroJacobianIndicesType & | nonZeroJacobianIndices ) const

override virtual

Compute the Jacobian of the spatial Hessian of the transformation.

Reimplemented from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >.

## GetJacobianOfSpatialHessian() [2/2]

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::GetJacobianOfSpatialHessian | ( | const InputPointType & | inputPoint,
|  | SpatialHessianType & | sh,
|  | JacobianOfSpatialHessianType & | jsh,
|  | NonZeroJacobianIndicesType & | nonZeroJacobianIndices ) const

override

Compute both the spatial Hessian and the Jacobian of the spatial Hessian of the transformation.

## GetJacobianOfSpatialJacobian() [1/2]

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::GetJacobianOfSpatialJacobian | ( | const InputPointType & | inputPoint,
|  | JacobianOfSpatialJacobianType & | jsj,
|  | NonZeroJacobianIndicesType & | nonZeroJacobianIndices ) const

override virtual

Compute the Jacobian of the spatial Jacobian of the transformation.

Reimplemented from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >.

## GetJacobianOfSpatialJacobian() [2/2]

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::GetJacobianOfSpatialJacobian | ( | const InputPointType & | inputPoint,
|  | SpatialJacobianType & | sj,
|  | JacobianOfSpatialJacobianType & | jsj,
|  | NonZeroJacobianIndicesType & | nonZeroJacobianIndices ) const

override

Compute both the spatial Jacobian and the Jacobian of the spatial Jacobian of the transformation.

## GetSpatialHessian()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::GetSpatialHessian | ( | const InputPointType & | inputPoint,
|  | SpatialHessianType & | sh ) const

override virtual

Compute the spatial Hessian of the transformation.

Reimplemented from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >.

## GetSpatialJacobian()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

void itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::GetSpatialJacobian | ( | const InputPointType & | inputPoint,
|  | SpatialJacobianType & | sj ) const

override virtual

Compute the spatial Jacobian of the transformation.

Reimplemented from itk::AdvancedBSplineDeformableTransform< double, 3, 3 >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::ITK_DISALLOW_COPY_AND_MOVE | ( | RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder > |  | ) |

## itkStaticConstMacro() [1/2]

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | NDimensions | )

Dimension of the domain space.

## itkStaticConstMacro() [2/2]

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::itkStaticConstMacro | ( | SplineOrder | ,
|  | unsigned int | ,
|  | VSplineOrder | )

The BSpline order.

## New()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

Pointer itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::New | ( |  | ) |

static

New macro for creation of through the object factory.

## TransformPoint()

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

OutputPointType itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::TransformPoint | ( | const InputPointType & | point | ) | const

override

Compute point transformation. This one is commonly used. It calls RecursiveBSplineTransformImplementation2::InterpolateTransformPoint for a recursive implementation.

## Field Documentation

## m_RecursiveBSplineWeightFunction

template<typename TScalarType = double, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3>

elastix::DefaultConstruct<RecursiveBSplineWeightFunctionType> itk::RecursiveBSplineTransform< TScalarType, NDimensions, VSplineOrder >::m_RecursiveBSplineWeightFunction {}

private

Definition at line 196 of file itkRecursiveBSplineTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |